Skip to main content

Add Batch Transfers

POST 

/v2/customers/:customerId/batch-transfers/:batchTransferId/transfers

Add or replace transfers in an existing batch. Accepts either JSON or CSV. JSON: Request body contains a list of transfers (amount, recipient; optional currencyCode when it matches the batch currency, optional merchantRefNum per item). Transfers without a matching merchantRefNum are added to the batch. When a transfer item includes merchantRefNum that matches an existing transfer in the batch, that existing transfer is replaced. CSV: Request body is UTF-8 CSV with header row type,recipient,amount,currency,reference,reason,description. Recipient type is email or mobile; recipient is the email or phone number; reference, reason, and description are optional. Maximum count of transfer items in request body is 20. Response is the BatchTransfer structure updated with the added or replaced transfers. To get full list of transfers in the batch use GET /v2/customers/{customerId}/batch-transfers/{batchTransferId} Batch Transfer can be updated only if it is in PREVIEW status and is not expired.

Request

Responses

OK. Returns the BatchTransfer updated with the added or replaced transfers.